@import "../../styles/colors.scss";
@import "../../styles/fonts.scss";
@import "../../styles/responsive.scss";

.Dream {
  &__title {
    font-family: $titleFont;
    text-align: center;
    @include tablet {
      font-size: 2.3rem;
    }
  }
  &__message {
    text-align: center;
    font-style: italic;
    margin-top: 2.5rem;
    @include tablet {
      margin-top: 4rem;
    }
  }
  &__container {
    border: 1px solid $fourthColor;
    padding: 0.8rem;
    margin: 0.5rem 0;
    border-radius: 2px;
    @include tablet {
      max-width: 550px;
      margin: 0 auto 1.4rem auto;
    }  
  }
  &__buttons {
    &__btn {
      border-style: none;
      padding: 0.5rem;
      border-radius: 3px;
      .Dream__buttons__link {
        text-decoration: none;
        color: $secondaryColor;
      }
      &:first-child {
        margin-right: 0.2rem;
        background-color: $primaryColor;
        &:hover {
          background-color: $editDreamHover;
        }
      }
      &:last-child {
        margin-left: 0.2rem;
        background-color: $fourthColor;
        color: $primaryColor;
        &:hover {
          border: 1px solid $primaryColor;
          background-color: transparent;
        }
      }
    }
  }
}
